Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.communities.invitations
Class InvitationDetails

    java.lang.Object
      com.bea.netuix.application.communities.invitations.InvitationDetails

All Implemented Interfaces
  Serializable

    public class InvitationDetails

extends Object
implements Serializable

Represents information about a Communities invitation operation, including the community that the invitation targets, a small payload that is intended for use as an application specific reference to the invitation action, and several parameters that control the settings of invitation options.

For more information see the discussion of invitations or the overview of community functionality.

See Also
  Serialized Form

Constructor Summary
`InvitationDetails(CommunityDefinitionId communityId, String fromWlsUser, String invitationPayload, Date expirationDate, boolean selfDestructFlag, InvitationValidationTextGenerator validationTextGenerator)` Constructs a new InvitationDetails object.
`InvitationDetails(CommunityDefinitionId communityId, String fromWlsUser, String invitationPayload, Timestamp expirationDate, boolean selfDestructFlag, InvitationValidationTextGenerator validationTextGenerator)` Constructs a new InvitationDetails object.

Method Summary
`boolean` | `equals(Object o)`
`Object` | `getAttribute(String key)` Gets an attribute set on the InvitationDetails.
`CommunityDefinitionId` | `getCommunityId()` Gets the ID of the community the invitation details are for.
`Timestamp` | `getExpirationDate()` Returns the expiration date for the invitations, or `null` if the invitations should not expire.
`String` | `getFromWlsUser()` Returns the WLS username of the user sending the invitation(s)
`String` | `getInvitationPayload()` Returns the invitation payload, which is text inviting the user(s) to join the community.
`boolean` | `getSelfDestructFlag()` Returns the self-destruct flag for the invitations.
`InvitationValidationTextGenerator` | `getValidationTextGenerator()` Gets the InvitationValidationTextGenerator set on this InvitationDetails.
`int` | `hashCode()`
`void` | `setAttribute(String key, Object value)` Sets an attribute on the InvitationDetails.
`void` | `validate()` Initializes the validation text generator associated with this object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InvitationDetails

    public InvitationDetails(CommunityDefinitionId communityId,
                             String fromWlsUser,
                             String invitationPayload,
                             Date expirationDate,
                             boolean selfDestructFlag,
                             InvitationValidationTextGenerator validationTextGenerator)

  Constructs a new InvitationDetails object.

  Parameters
    `communityId` - the ID of the community the invitation is for.
    `fromWlsUser` - the WLS user name of the user sending the invitations.
    `invitationPayload` - the text inviting the user(s) to join the community.
    `expirationDate` - the date and time when the invitation will no longer be valid, or `null` if the invitation should never expire.
    `selfDestructFlag` - if `true`, the invitation will be removed from the database when it is no longer valid (if it expires or is consumed). If `false`, the invitation will be removed from the database only when explicitly removed; this may be useful for logging or tracking needs. In general, `true` is recommended to ensure the database table does not grow too large.
    `validationTextGenerator` - the object to generate validation text for the invitation(s).

### InvitationDetails

    public InvitationDetails(CommunityDefinitionId communityId,
                             String fromWlsUser,
                             String invitationPayload,
                             Timestamp expirationDate,
                             boolean selfDestructFlag,
                             InvitationValidationTextGenerator validationTextGenerator)

  Constructs a new InvitationDetails object.

  Parameters
    `communityId` - the ID of the community the invitation is for.
    `fromWlsUser` - the WLS user name of the user sending the invitations.
    `invitationPayload` - the text inviting the user(s) to join the community.
    `expirationDate` - the date and time when the invitation will no longer be valid, or `null` if the invitation should never expire.
    `selfDestructFlag` - if `true`, the invitation will be removed from the database when it is no longer valid (if it expires or is consumed). If `false`, the invitation will be removed from the database only when explicitly removed; this may be useful for logging or tracking needs. In general, `true` is recommended to ensure the database table does not grow too large.
    `validationTextGenerator` - the object to generate validation text for the invitation(s).

Method Detail

### getCommunityId

    public CommunityDefinitionId getCommunityId()

  Gets the ID of the community the invitation details are for.

  Returns
    the ID of the community the invitation details are for.

### getFromWlsUser

    public String getFromWlsUser()

  Returns the WLS username of the user sending the invitation(s)

  Returns
    the WLS username of the user sending the invitation(s)

### getInvitationPayload

    public String getInvitationPayload()

  Returns the invitation payload, which is text inviting the user(s) to join the community.

  Returns
    the payload

### getExpirationDate

    public Timestamp getExpirationDate()

  Returns the expiration date for the invitations, or `null` if the invitations should not expire.

  Returns
    the expiration date for the invitations, or `null` if the invitations should not expire.

### getSelfDestructFlag

    public boolean getSelfDestructFlag()

  Returns the self-destruct flag for the invitations. if `true`, the invitation will be removed from the database when it is no longer valid (if it expires or is consumed). If `false`, the invitation will be removed from the database only when explicitly removed; this may be useful for logging or tracking needs. In general, `true` is recommended to ensure the database table does not grow too large.

  Returns
    the self-destruct flag.

### setAttribute

    public void setAttribute(String key,
                             Object value)

  Sets an attribute on the InvitationDetails. These attributes are NOT stored in the database but are used only to communicate contextual information to `CommunityInviter` implementations.

  Parameters
    `key` - the name of the attribute to set
    `value` - the value of the attribute.

### getAttribute

    public Object getAttribute(String key)

  Gets an attribute set on the InvitationDetails. These attributes are NOT stored in the database but are used only to communicate contextual information to `CommunityInviter` implementations.

  Parameters
    `key` - the name of the attribute to get
  Returns
    the value of the attribute.

### getValidationTextGenerator

    public InvitationValidationTextGenerator getValidationTextGenerator()

  Gets the InvitationValidationTextGenerator set on this InvitationDetails.

  Returns
    the InvitationValidationTextGenerator

### validate

    public void validate()

  Initializes the validation text generator associated with this object.

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.